<template>
  <cover-split-section :cover-image="coverImage" reversed>
    <template #heading>
      <h1>{{ heading }}</h1>
    </template>

    <template #default>
      <div class="markdown summary" v-html="content.text" />
    </template>
  </cover-split-section>
</template>

<script>
export default {
  name: 'ServicioCoverSection',
  props: {
    coverImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
    },
    heading: { type: String, default: undefined },
    content: { type: Object, default: () => ({}) },
  },
};
</script>
